How to update your browser if you need to make a payment online

Information about which browsers are no longer supported if you need to make an online payment and how to update your browser.

After Thursday 15 February 2018, only the following browser versions (and above) will work if you need to make an online payment:

  • Chrome v30
  • Android v4.4
  • Firefox v24
  • Internet Explorer v8 (although TLS is disabled by default below v11. TLS is not supported at all on Windows Vista)
  • Opera v17
  • Safari v7 with OSX v10.9
  • Safari mobile IOS v5

If you use IE11 or Chrome you'll need to make the following change to your browser to allow you make payments.

Internet Explorer 11

  1. Click the cog (top right of browser window)
  2. Internet Options
  3. Advanced Tab
  4. Scroll down to Security
  5. Tick "Use TLS 1.2"
  6. Click OK
  7. Refresh the page

Chrome

  1. Click the three dots (top right of browser)
  2. Settings
  3. Scroll down and select "Show advanced settings."
  4. Scroll down to the Network section
  5. Click on "Change proxy settings."
  6. Advanced tab
  7. Scroll to the Security section.
  8. Tick Use "Use TLS 1.2""
  9. Press OK